TreeWalkerImpl (Xerces2 Implementation)
Date: 2024-01-12

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class TreeWalkerImpl

    java.lang.Object
      org.apache.xerces.dom.TreeWalkerImpl

All Implemented Interfaces:
  org.w3c.dom.traversal.TreeWalker

    public class TreeWalkerImpl

extends java.lang.Object
implements org.w3c.dom.traversal.TreeWalker

This class implements the TreeWalker interface.

Version:
  $Id: TreeWalkerImpl.java 536630 2007-05-09 19:37:05Z mrglavas $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Constructor Summary
`TreeWalkerImpl(org.w3c.dom.Node root, int whatToShow, org.w3c.dom.traversal.NodeFilter nodeFilter, boolean entityReferenceExpansion)` Public constructor

Method Summary
`org.w3c.dom.Node` | `firstChild()` Return the first child Node from the current node, after applying filter, whatToshow.
`org.w3c.dom.Node` | `getCurrentNode()` Return the current Node.
`boolean` | `getExpandEntityReferences()` Return whether children entity references are included in the iterator.
`org.w3c.dom.traversal.NodeFilter` | `getFilter()` Return the NodeFilter
`org.w3c.dom.Node` | `getRoot()`
`int` | `getWhatToShow()` Return the whatToShow value
`org.w3c.dom.Node` | `lastChild()` Return the last child Node from the current node, after applying filter, whatToshow.
`org.w3c.dom.Node` | `nextNode()` Return the next Node from the current node, after applying filter, whatToshow.
`org.w3c.dom.Node` | `nextSibling()` Return the next sibling Node from the current node, after applying filter, whatToshow.
`org.w3c.dom.Node` | `parentNode()` Return the parent Node from the current node, after applying filter, whatToshow.
`org.w3c.dom.Node` | `previousNode()` Return the previous Node from the current node, after applying filter, whatToshow.
`org.w3c.dom.Node` | `previousSibling()` Return the previous sibling Node from the current node, after applying filter, whatToshow.
`void` | `setCurrentNode(org.w3c.dom.Node node)` Return the current Node.
`void` | `setWhatShow(int whatToShow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeWalkerImpl

    public TreeWalkerImpl(org.w3c.dom.Node root,
                          int whatToShow,
                          org.w3c.dom.traversal.NodeFilter nodeFilter,
                          boolean entityReferenceExpansion)

  Public constructor

Method Detail

### getRoot

    public org.w3c.dom.Node getRoot()

  Specified by:
    `getRoot` in interface `org.w3c.dom.traversal.TreeWalker`

### getWhatToShow

    public int getWhatToShow()

  Return the whatToShow value

  Specified by:
    `getWhatToShow` in interface `org.w3c.dom.traversal.TreeWalker`

### setWhatShow

    public void setWhatShow(int whatToShow)

### getFilter

    public org.w3c.dom.traversal.NodeFilter getFilter()

  Return the NodeFilter

  Specified by:
    `getFilter` in interface `org.w3c.dom.traversal.TreeWalker`

### getExpandEntityReferences

    public boolean getExpandEntityReferences()

  Return whether children entity references are included in the iterator.

  Specified by:
    `getExpandEntityReferences` in interface `org.w3c.dom.traversal.TreeWalker`

### getCurrentNode

    public org.w3c.dom.Node getCurrentNode()

  Return the current Node.

  Specified by:
    `getCurrentNode` in interface `org.w3c.dom.traversal.TreeWalker`

### setCurrentNode

    public void setCurrentNode(org.w3c.dom.Node node)

  Return the current Node.

  Specified by:
    `setCurrentNode` in interface `org.w3c.dom.traversal.TreeWalker`

### parentNode

    public org.w3c.dom.Node parentNode()

  Return the parent Node from the current node, after applying filter, whatToshow. If result is not null, set the current Node.

  Specified by:
    `parentNode` in interface `org.w3c.dom.traversal.TreeWalker`

### firstChild

    public org.w3c.dom.Node firstChild()

  Return the first child Node from the current node, after applying filter, whatToshow. If result is not null, set the current Node.

  Specified by:
    `firstChild` in interface `org.w3c.dom.traversal.TreeWalker`

### lastChild

    public org.w3c.dom.Node lastChild()

  Return the last child Node from the current node, after applying filter, whatToshow. If result is not null, set the current Node.

  Specified by:
    `lastChild` in interface `org.w3c.dom.traversal.TreeWalker`

### previousSibling

    public org.w3c.dom.Node previousSibling()

  Return the previous sibling Node from the current node, after applying filter, whatToshow. If result is not null, set the current Node.

  Specified by:
    `previousSibling` in interface `org.w3c.dom.traversal.TreeWalker`

### nextSibling

    public org.w3c.dom.Node nextSibling()

  Return the next sibling Node from the current node, after applying filter, whatToshow. If result is not null, set the current Node.

  Specified by:
    `nextSibling` in interface `org.w3c.dom.traversal.TreeWalker`

### previousNode

    public org.w3c.dom.Node previousNode()

  Return the previous Node from the current node, after applying filter, whatToshow. If result is not null, set the current Node.

  Specified by:
    `previousNode` in interface `org.w3c.dom.traversal.TreeWalker`

### nextNode

    public org.w3c.dom.Node nextNode()

  Return the next Node from the current node, after applying filter, whatToshow. If result is not null, set the current Node.

  Specified by:
    `nextNode` in interface `org.w3c.dom.traversal.TreeWalker`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.